#ifndef _UI_MGMT_H
#define _UI_MGMT_H
#include <ctype.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "ui.h"
#ifdef __cplusplus
extern "C" {
#endif

/****** UiEventsMgmt ******/
void lvgl_obj_delete(lv_obj_t** target);
void ui_events_server_init(uint8_t core_num);
void update_screen_content_task(void* pvParameters);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
